SetSignProcessCustomSubFilter

Varnost in podpisi

Opis

Nastavi vnos SubFilter s nizom po meri za postopek digitalnega podpisa in s tem določa kodiranje vrednosti podpisa

Podobno kot SetSignProcessSubFilter, vendar je vnos Subfilter nastavljiv po meri

Kadar se podani niz začne s ETSI. (tipično ETSI.CAdES.detached za osnovne podpise PAdES ali ETSI.RFC3161 za časovne žige dokumenta), knjižnica samodejno doda vnos PAdES /Extensions /ESIC <</BaseVersion /1.7 /ExtensionLevel 2>> v katalog dokumenta, kot zahteva ETSI EN 319 142-1 v1.2.1 §5.6. Za PDF-je, ustvarjene prek TPDFlib, se vzporedno doda enakovredna napoved Adobe (/Extensions /ADBE pri /ExtensionLevel 8). Vstavljanje je idempotentno in nikoli ne povzroči padca na nižjo obstoječo raven razširitve

Izbira ETSI.CAdES.detached poleg tega aktivira pot podpisa PAdES-B-B: nastali tovor CMS nosi overjene atribute content-type (id-data) in signing-certificate-v2 (RFC 5035 / RFC 5816), atribut signing-time, ki ga tabela 1 standarda EN 319 142-1 prepoveduje, pa je izpuščen, ker knjižnica CryptSignMessage poda svojo lastno tabelo atributov. Podpisni certifikat je identificiran po svojem povzetku SHA-256 (ali SHA-384 / SHA-512, kadar SetSignProcessDigestAlgorithm izbere večji hash), trenutne izvedbe pa vključujejo tudi izbirno naborico IssuerSerial (razločevalno ime izdajatelja in serijska številka), da strožji validatorji PAdES lahko podpisni certifikat prečno preverijo s svojo kandidatno verigo

Sintaksa

Delphi

Function TPDFlib.SetSignProcessCustomSubFilter(SignProcessID: Integer; SubFilterStr: WideString): Integer;

ActiveX

Function PDFlib::SetSignProcessCustomSubFilter(SignProcessID As Long, SubFilterStr As String) As Long

DLL

int DLSetSignProcessCustomSubFilter(int InstanceID, int SignProcessID, const wchar_t * SubFilterStr);

Parametri

SignProcessIDVrednost, ki jo vrnejo funkcije NewSignProcessFromFile, NewSignProcessFromStream ali NewSignProcessFromString
SubFilterStrvnos niza SubFilter po meri

Vrnjene vrednosti

0Parameter SignProcessID ni bil veljaven ali pa je bil parameter SubFilter izven razpona
1uspeh